package edu.travel.adapter.service.tenant;

import edu.travel.adapter.annotation.AdapterAnnotation;
import edu.travel.remote.feign.mode.vo.tenant.SysRoleVo;
import edu.travel.rpc.RPCBaseResponse;
import edu.travel.tenant.SysRoleRemoteController;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;
@Component
public class SysRoleAdapter {
    @Resource
    private SysRoleRemoteController sysRoleRemoteController;
    /**
     * 通过id查找角色
     */
    @AdapterAnnotation
    public RPCBaseResponse<SysRoleVo> getFormId(String id){
        return sysRoleRemoteController.getFormId(id);
    };
}
