package edu.travel.adapter.service.tenant;

import edu.travel.adapter.annotation.AdapterAnnotation;
import edu.travel.rpc.RPCBaseResponse;
import edu.travel.tenant.SysUserRoleRemoteController;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.List;

@Component
public class SysUserRoleAdapter {
    @Autowired
    private SysUserRoleRemoteController sysUserRoleRemoteController;
    @AdapterAnnotation
    public RPCBaseResponse<List<String>> getAdmins(){
        return sysUserRoleRemoteController.getAdmins();
    }
}
