package edu.travel.remote.vo;

import edu.travel.entity.BaseEntity;
import lombok.Data;

import java.util.List;
import java.util.Map;

@Data
public class ShopParametersVo extends BaseEntity {
    /**
     * 商品参数ID
     */
    private String parametersId;
    /**
     * 商品参数名称
     */
    private String parametersName;

    /**
     * 商品参数值ID
     */
    private String id;

    /**
     * 参数值
     */
    private String parametersValue;

    /**
     * 是否是必须参数 0是 1否
     */
    private Integer isNecessary;
    /**
     * 国家id
     */
    private String countryId;
    /**
     * Map
     */
    private Map<String,Object> map;
    /**
     * ProductParametersMap
     */
    private Map<String,Object> productParametersMap;
}
