package edu.travel.tenant;

//import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import edu.travel.remote.feign.mode.dto.tenant.SysProjectDto;
import edu.travel.remote.feign.mode.vo.tenant.SysProjectVo;
import edu.travel.rpc.RPCBaseResponse;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

@FeignClient(name = "tenant-dev",path = "/sysProject")
public interface SysProjectRemoteController {

    /**
     * 新增项目标识
     */
    @PostMapping("/saveFormTarget")
    public RPCBaseResponse<SysProjectVo> saveProject(@RequestBody SysProjectDto sysProjectDto) ;

}
