package edu.travel.commodity.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import edu.travel.commodity.entity.ShopParameters;
import com.baomidou.mybatisplus.extension.service.IService;
import edu.travel.remote.dto.ParametersDto;
import edu.travel.remote.dto.ProductSpecDto;
import edu.travel.remote.vo.ParametersVo;
import edu.travel.remote.vo.ShopParametersVo;
import edu.travel.rpc.RPCBaseResponse;

import java.util.List;

public interface ShopParametersService extends IService<ShopParameters>{


    Page<ShopParametersVo> getShopParameters(ProductSpecDto param);

    Page<ParametersVo> getAllParameters(ParametersDto param);

    List<ShopParameters> getAllList();

    RPCBaseResponse<Page<ShopParameters>> getAllParametersPage(ParametersDto param);
}
