package edu.travel.education.dto;

import com.baomidou.mybatisplus.annotation.TableField;
import edu.travel.annotation.LinkConst;
import edu.travel.education.entity.dict.CourseTypeDict;
import edu.travel.po.PagePO;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;
import java.util.Map;

/**
 * 开心中文报名表
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class HappyEntryDto extends PagePO {
    /**
    * 主键id
    */
    private Long id;

    /**
     * 所属国家id
     */
    private Long countryId;

    /**
    * 姓
    */
    private String surname;

    /**
    * 名
    */
    private String name;

    /**
    * 电话号码
    */
    private String phone;

    /**
    * 国家区号
    */
    private String areaCode;

    /**
    * 课程类型
    */
    private Integer courseType;

    /**
    * 最小年龄
    */
    private Integer minAge;

    /**
     * 最大年龄
     */
    private Integer maxAge;

    /**
     * 邮箱
     */
    private String email;
}