package edu.travel.education.service;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import edu.travel.education.dto.AddHappyEntryDto;
import edu.travel.education.dto.HappyEntryDto;
import edu.travel.education.entity.HappyEntry;
import edu.travel.education.vo.HappyEntryVo;

import java.util.Set;

public interface HappyEntryService extends IService<HappyEntry> {

    HappyEntryVo addHappyEntry(AddHappyEntryDto happyEntryDto);

    HappyEntryVo getHappyEntryById(Long id);

    HappyEntryVo UpdateHappyEntryById(HappyEntryDto happyEntryDto);

    void deleteHappyEntryByIds(Set<Long> set);

    IPage<HappyEntry> listPageHappyEntry(HappyEntryDto happyEntryDto);

    IPage<HappyEntry> dictMapPage(IPage<HappyEntry> page, LambdaQueryWrapper<HappyEntry> queryWrapper);
}
