package edu.travel.adapter.service.commodity;

import edu.travel.adapter.annotation.AdapterAnnotation;
import edu.travel.remote.commodity.ShopOpinionTypeRemoteController;
import edu.travel.remote.vo.OpinionTypeVo;
import edu.travel.rpc.RPCBaseResponse;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.List;

@Component
public class ShopOpinionTypeAdapter {
    @Autowired
    private ShopOpinionTypeRemoteController shopOpinionTypeRemoteController;
    @AdapterAnnotation
    public RPCBaseResponse<List<OpinionTypeVo>> getType(String languageId){
        return shopOpinionTypeRemoteController.getType(languageId);
    }
}
