package edu.travel.remote.commodity;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import edu.travel.remote.dto.MessageDto;
import edu.travel.remote.dto.SaveMessageDto;
import edu.travel.remote.vo.MessageVo;
import edu.travel.rpc.RPCBaseResponse;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.cloud.openfeign.SpringQueryMap;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

@FeignClient(name="commodity-dev",path = "/shopMessage")
public interface ShopMessageRemoteController {

    @GetMapping("/getMessage")
    public RPCBaseResponse<Page<MessageVo>> getMessage(@SpringQueryMap MessageDto messageDto);


    @PostMapping("/savaMessage")
    public RPCBaseResponse<Boolean> savaMessage(@RequestBody SaveMessageDto params);

}
