package edu.travel.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import edu.travel.po.PagePO;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 服务国家表
 */
@Data
public class BaseCountryServeStatusDto extends PagePO {
    /**
     * ID
     */
    private String id;

    /**
     * 服务状态，默认0,-0未开通，-1开通
     */
    private Integer serveEnable;
}