package edu.travel.remote.dto;

import lombok.Data;

@Data
public class MessageDto {
    /**
     * 消息接收者ID
     */
    private String toUserId;
    /**
     * 消息发送者ID
     */
    private String sendUserId;
    /**
     * 消息内容
     */
    private String content;

    /**
     * 消息类型
     */
    private String type;

    /**
     * 会话Id
     */
    private String sessionId;


    /**
     *  消息处理工厂标识 MessageEnum 枚举
     */
    private Integer code;
}
