package edu.travel.commodity.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import edu.travel.commodity.entity.ShopShoppingCart;
import com.baomidou.mybatisplus.extension.service.IService;
import edu.travel.remote.dto.AddShopCartDto;
import edu.travel.remote.dto.BaseDto;
import edu.travel.remote.dto.UpdateShopCarDto;
import edu.travel.remote.vo.ShopCartListVo;

import java.util.Set;

public interface ShopShoppingCartService extends IService<ShopShoppingCart>{


    Boolean addShopCart(AddShopCartDto params);

    Page<ShopCartListVo> getShopCartList(BaseDto params);

    Boolean updateCart(UpdateShopCarDto params);

    Integer delCart(Set<String> ids);
}
